Index: /branches/proxy/src/lib/util/sigslot/signal.h
===================================================================
--- /branches/proxy/src/lib/util/sigslot/signal.h	(revision 9367)
+++ /branches/proxy/src/lib/util/sigslot/signal.h	(revision 9368)
@@ -95,9 +95,9 @@
   class _connection_base0
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit() = 0;
-      virtual _connection_base0* clone() = 0;
-      virtual _connection_base0* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit() = 0;
+    virtual _connection_base0* clone() = 0;
+    virtual _connection_base0* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -105,9 +105,9 @@
   class _connection_base1
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type) = 0;
-      virtual _connection_base1<arg1_type, mt_policy>* clone() = 0;
-      virtual _connection_base1<arg1_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type) = 0;
+    virtual _connection_base1<arg1_type, mt_policy>* clone() = 0;
+    virtual _connection_base1<arg1_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -115,9 +115,9 @@
   class _connection_base2
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type, arg2_type) = 0;
-      virtual _connection_base2<arg1_type, arg2_type, mt_policy>* clone() = 0;
-      virtual _connection_base2<arg1_type, arg2_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type, arg2_type) = 0;
+    virtual _connection_base2<arg1_type, arg2_type, mt_policy>* clone() = 0;
+    virtual _connection_base2<arg1_type, arg2_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -125,9 +125,9 @@
   class _connection_base3
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type, arg2_type, arg3_type) = 0;
-      virtual _connection_base3<arg1_type, arg2_type, arg3_type, mt_policy>* clone() = 0;
-      virtual _connection_base3<arg1_type, arg2_type, arg3_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type, arg2_type, arg3_type) = 0;
+    virtual _connection_base3<arg1_type, arg2_type, arg3_type, mt_policy>* clone() = 0;
+    virtual _connection_base3<arg1_type, arg2_type, arg3_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -135,9 +135,9 @@
   class _connection_base4
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type) = 0;
-      virtual _connection_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>* clone() = 0;
-      virtual _connection_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type) = 0;
+    virtual _connection_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>* clone() = 0;
+    virtual _connection_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -146,12 +146,12 @@
   class _connection_base5
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type,
-                        arg5_type) = 0;
-      virtual _connection_base5<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, mt_policy>* clone() = 0;
-      virtual _connection_base5<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type,
+                      arg5_type) = 0;
+    virtual _connection_base5<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, mt_policy>* clone() = 0;
+    virtual _connection_base5<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -160,12 +160,12 @@
   class _connection_base6
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
-                        arg6_type) = 0;
-      virtual _connection_base6<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, arg6_type, mt_policy>* clone() = 0;
-      virtual _connection_base6<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, arg6_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
+                      arg6_type) = 0;
+    virtual _connection_base6<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, arg6_type, mt_policy>* clone() = 0;
+    virtual _connection_base6<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, arg6_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -174,12 +174,12 @@
   class _connection_base7
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
-                        arg6_type, arg7_type) = 0;
-      virtual _connection_base7<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, arg6_type, arg7_type, mt_policy>* clone() = 0;
-      virtual _connection_base7<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, arg6_type, arg7_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
+                      arg6_type, arg7_type) = 0;
+    virtual _connection_base7<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, arg6_type, arg7_type, mt_policy>* clone() = 0;
+    virtual _connection_base7<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, arg6_type, arg7_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -188,12 +188,12 @@
   class _connection_base8
   {
-    public:
-      virtual has_slots<mt_policy>* getdest() const = 0;
-      virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
-                        arg6_type, arg7_type, arg8_type) = 0;
-      virtual _connection_base8<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>* clone() = 0;
-      virtual _connection_base8<arg1_type, arg2_type, arg3_type, arg4_type,
-      arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
+  public:
+    virtual has_slots<mt_policy>* getdest() const = 0;
+    virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
+                      arg6_type, arg7_type, arg8_type) = 0;
+    virtual _connection_base8<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>* clone() = 0;
+    virtual _connection_base8<arg1_type, arg2_type, arg3_type, arg4_type,
+    arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>* duplicate(has_slots<mt_policy>* pnewdest) = 0;
   };
 
@@ -201,110 +201,110 @@
   class _signal_base0 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base0<mt_policy> *>  connections_list;
-
-      _signal_base0()
-      {
-        ;
-      }
-
-      _signal_base0(const _signal_base0& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      ~_signal_base0()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base0<mt_policy> *>  connections_list;
+
+    _signal_base0()
+    {
+      ;
+    }
+
+    _signal_base0(const _signal_base0& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    ~_signal_base0()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
@@ -312,111 +312,111 @@
   class _signal_base1 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base1<arg1_type, mt_policy> *>  connections_list;
-
-      _signal_base1()
-      {
-        ;
-      }
-
-      _signal_base1(const _signal_base1<arg1_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base1()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base1<arg1_type, mt_policy> *>  connections_list;
+
+    _signal_base1()
+    {
+      ;
+    }
+
+    _signal_base1(const _signal_base1<arg1_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base1()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+
+  protected:
+    connections_list m_connected_slots;
   };
 
@@ -424,111 +424,111 @@
   class _signal_base2 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base2<arg1_type, arg2_type, mt_policy> *>
-      connections_list;
-
-      _signal_base2()
-      {
-        ;
-      }
-
-      _signal_base2(const _signal_base2<arg1_type, arg2_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base2()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base2<arg1_type, arg2_type, mt_policy> *>
+    connections_list;
+
+    _signal_base2()
+    {
+      ;
+    }
+
+    _signal_base2(const _signal_base2<arg1_type, arg2_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base2()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
@@ -536,111 +536,111 @@
   class _signal_base3 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base3<arg1_type, arg2_type, arg3_type, mt_policy> *>
-      connections_list;
-
-      _signal_base3()
-      {
-        ;
-      }
-
-      _signal_base3(const _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base3()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base3<arg1_type, arg2_type, arg3_type, mt_policy> *>
+    connections_list;
+
+    _signal_base3()
+    {
+      ;
+    }
+
+    _signal_base3(const _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base3()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
